﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WindowsFormsApplication1
{
	public class MyArgs : EventArgs
	{
		public string SomeCode { get; private set; }

		public MyArgs(string someCode)
		{
			this.SomeCode = someCode;
		}
	}
	
	
	public class Test
	{
		public event EventHandler<MyArgs> MyEvent;
		
		
		public Test()
		{
		}

		public void ReleaseEvent()
		{
			var handler = this.MyEvent;
			if (null != handler)
			{
				handler(this, new MyArgs("Hurraa!"));
			}
		}

	}
}
